Bug 465103 - FTBFS ruby-rpm-1.2.3-4.fc9
FTBFS ruby-rpm-1.2.3-4.fc9
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ruby-rpm (Show other bugs)
10
All Linux
high Severity high
: ---
: ---
Assigned To: David Lutterkort
Fedora Extras Quality Assurance
http://linux.dell.com/files/fedora/Fi...
: Triaged
Depends On:
Blocks: F11FTBFS
  Show dependency treegraph
 
Reported: 2008-10-01 12:42 EDT by FTBFS
Modified: 2013-04-30 19:40 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:28:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
root.log (475.60 KB, text/plain)
2008-10-01 12:42 EDT, FTBFS
no flags Details
build.log (4.87 KB, text/plain)
2008-10-01 12:42 EDT, FTBFS
no flags Details
mock.log (867 bytes, text/plain)
2008-10-01 12:42 EDT, FTBFS
no flags Details
root.log (588.33 KB, text/plain)
2008-10-01 12:42 EDT, FTBFS
no flags Details
build.log (4.90 KB, text/plain)
2008-10-01 12:42 EDT, FTBFS
no flags Details
mock.log (875 bytes, text/plain)
2008-10-01 12:42 EDT, FTBFS
no flags Details
rpm46 patch (39.54 KB, patch)
2009-01-19 02:39 EST, Toshiharu Nakaya
no flags Details | Diff

  None (edit)
Description FTBFS 2008-10-01 12:42:14 EDT
ruby-rpm-1.2.3-4.fc9.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
Comment 1 FTBFS 2008-10-01 12:42:18 EDT
Created attachment 319047 [details]
root.log

root.log for i386
Comment 2 FTBFS 2008-10-01 12:42:19 EDT
Created attachment 319048 [details]
build.log

build.log for i386
Comment 3 FTBFS 2008-10-01 12:42:20 EDT
Created attachment 319049 [details]
mock.log

mock.log for i386
Comment 4 FTBFS 2008-10-01 12:42:21 EDT
Created attachment 319050 [details]
root.log

root.log for x86_64
Comment 5 FTBFS 2008-10-01 12:42:22 EDT
Created attachment 319051 [details]
build.log

build.log for x86_64
Comment 6 FTBFS 2008-10-01 12:42:23 EDT
Created attachment 319052 [details]
mock.log

mock.log for x86_64
Comment 7 Alex Lancaster 2008-10-05 06:39:09 EDT
This package has been causing broken deps in rawhide for more than a month.  

        ruby-rpm-1.2.3-4.fc9.i386 requires librpmdb-4.4.so
        ruby-rpm-1.2.3-4.fc9.i386 requires librpm-4.4.so
        ruby-rpm-1.2.3-4.fc9.i386 requires librpmio-4.4.so
        ruby-rpm-1.2.3-4.fc9.i386 requires librpmbuild-4.4.so

This won't build until it is ported to use RPM 4.6.  Is this underway?  Looking at upstream http://rubyforge.org/projects/ruby-rpm/ there hasn't been a new release since May 2007, so I'm guessing the project may be dead.

Please investigate whether this package can be ported to RPM 4.6 ASAP, otherwise it probably should be retired/orphaned and blocked from rawhide if it can't be ported.
Comment 8 David Lutterkort 2008-10-08 19:52:13 EDT
Making it work with RPM 4.6 has been on my TODO for quite some time (I am also upstream), but I haven't had time to do so.

If it gunks up the works, I am fine with blocking this from rawhide until I can actually fix it (or somebody sends patches)
Comment 9 Panu Matilainen 2008-10-09 05:57:55 EDT
Oh, sorry - I've been intending to do something about that but haven't gotten around. Expect patches shortly...
Comment 10 Kevin Kofler 2008-10-28 18:47:37 EDT
Ping? F10 is coming closer and closer and this dependency is still blatantly broken. Is there any chance this will get fixed in time for F10? If not, it should probably be blocked from dist-f10 and f10-final, it can be brought back in in an update once fixed.
Comment 11 Bug Zapper 2008-11-25 22:25:01 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Toshiharu Nakaya 2009-01-19 02:39:42 EST
Created attachment 329316 [details]
rpm46 patch

I wrote a patch for rpm-4.6. Please try this patch.
Comment 13 David Lutterkort 2009-01-20 15:34:53 EST
Nice, with this patch, the tests actually pass on my F10 machine (rpm-4.6.0-0.rc3.1.fc10.x86_64)

There's a couple things that need to be addressed though:

* the patch is against the last ruby-rpm release, not against the head of the subversion repo at http://ruby-rpm.rubyforge.org/svn/ - any chance you could rebase it to that ?

* it includes a copy of rpmdb_internal.h - we can't do that; we need to be able to build and run against only the header files that rpm-devel installs in /usr/include

* similarly, you copy the definition of rpmProblem_s and rpmps_s from rpmps.c - we can't do that either, since rpm can change that structure at any time.

* extconf.rb in svn HEAD uses pkgconfig for newer RPM versions; this patch should do that too

* various header* functions from header_internal.c are imported; again not something we can do, since they are private

Anyway, I would love to see this patch cleaned up according to the above points - looks very promising.
Comment 14 Toshiharu Nakaya 2009-01-22 00:15:54 EST
Thank you for your comments.
I will refine this patch and submit to upstream.

thx
Comment 15 Matt Domsch 2009-06-10 18:16:51 EDT
ruby-rpm is no longer in the Fedora 12 rawhide tree, at least by that package name. But it's not marked as a dead package in CVS.  Very odd.
Looks like it says open.
Comment 16 Bug Zapper 2009-11-18 02:46:33 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Bug Zapper 2009-12-18 01:28:22 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.